nsam = 11;

rand("seed", 10)

p = rand(nsam,1);
tau = -log(p);
time = [0; cumsum(tau)];

Y = 0:nsam;

figure()
[xx,yy] = stairs(time, Y);
xx(end) = [];
yy(end) = [];


figure()
hist(tau,20)

table = [xx,yy];
save unitpoisson.dat table