%%
%% pass parameters to function, jbr, 6/28/2018

% cycle
a = 0.2; b = 0.2; c = 1;
% attractor
%a = 0.2; b = 0.2; c = 5.7;
p = struct();
p.a = a; p.b = b; p.c = c;

tfin = 100;
npts = 10*tfin;
time = linspace(0, tfin, npts);

function wdot = rhs(t, w, p)
  x = w(1);
  y = w(2);
  z = w(3);
  wdot = [-y - z;
          x + p.a*y;
	  p.b + z*(x - p.c)];
endfunction

%w0 = [0;0;0];
w0 = [1;1;1];
[time, w] = ode15s (@(t, w) rhs(t, w, p), time, w0);

% chop off the transient and keep just the cycle
w (1:round(0.8*npts),:) = [];
save "rosslercycle.dat" w